import type { Command } from 'commantor'
import Logger from 'config/logger'
import DaoFactory from 'models/dao-factory'

const command: Command = {
	name: 'migrations:migrate',
	description: 'Migrate the database to the latest version',
	async run() {
		const client = await DaoFactory.client()
		Logger.info('connecting...')
		await client.connect()
		Logger.info('migrating...')
		await client.migrateToLatest()
		Logger.info('migrations should be ok :D')
		return {
			code: 0
		}
	},
}
export default command
