import fs from 'fs'
import { getEnv } from 'libs/env'
import LogLevel from './log-level'
import LoggerAbstract from './logger-abstract'

export default class FileSystemLogger extends LoggerAbstract {

	public log(level: LogLevel, message?: any, ...optionalParams: Array<any>): void {
		const now = new Date()

		// store the logs inside the var/log folder
		fs.mkdirSync('var/log', { recursive: true })
		const filename = getEnv('NODE_ENV') === 'production' ? `prod-${now.toDateString()}.log` : 'dev.log'
		fs.appendFileSync(`var/log/${filename}`, this.processLog(level, message, optionalParams) + '\n')
	}
}
