import LogLevel from './LogLevel'
import LoggerAbstract from './LoggerAbstract'
import type LoggerInterface from './LoggerInterface'

export default class FileSystemLogger extends LoggerAbstract {

	private readonly loggers: Array<LoggerInterface>

	public constructor(
		...loggers: Array<LoggerInterface>
	) {
		super()
		this.loggers = loggers
	}

	public log(level: LogLevel, message?: any, ...optionalParams: Array<any>): void {
		for (const logger of this.loggers) {
			// eslint-disable-next-line @typescript-eslint/no-unsafe-argument
			logger.log(level, message, ...optionalParams)
		}
	}
}
